#!/bin/sh

################################################################################
# File    : xcode.sh
# Content : script to extract xcode project file
# History : 13-Jan-2004 - [rb] creation
################################################################################

#   Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# usage : ./xcode.sh project.xcode/

#retreiving pathes
pushd "${1%/*}" >/dev/null
BUILDDIR=`pwd`
BUILDDIR="${BUILDDIR%/*}"
popd >/dev/null

BASEDIR=`$BUILDDIR/libs/hsm-config --srcdir`
FONTDIR=`$BUILDDIR/libs/hsm-config --fontdir`

cat ${1}/project.pbxproj | sed -e "s@$BASEDIR@<BASEDIR>@g" > project.pbxproj.in
cat ${1}/`id -un`.pbxuser | sed -e "s@$BUILDDIR@<BUILDDIR>@g" \
 -e "s@$FONTDIR@<FONTDIR>@g" > user.pbxuser.in
